/* 
    Syntax for styling an HTML element using external CSS file.

    selector {
        property1: value1;
        property2: value2;
    }

*/

/* 
    HTML highest specifity - inline style 
    HTML mid specifity - external style 
    HTML lowest specifity - internal style 

*/

/* This is the universal selector */
* {
    font-family: 'Courier New', Courier, monospace;
    font-size: 20px;
}

h1 {
    color: gray !important;
}

#zuitt-motto {
    letter-spacing: 5px;   
}

/* 
    When accessing an element using its id attribute, we will be using # symbol to properly use it inside the CSS file.
    When accessing an element using its class attribute, we will be using . symbol to properly use it inside the CSS file.
*/

.offering-item {
    text-transform: uppercase;
}

input[required] {
    border-width: 2px;
    border-style: solid;
    border-color: navy;
} 

/* 
    Adjacent selector 

    Syntax = selector + selector
*/

h3 + img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

/* 
    Descendant selector

    Syntax = selector selector
*/

#bootcamp-learning-list li {
    color: #075966;
}

/* 
    General Sibling selector (~)

    Syntax = selector ~ selector
*/

h2 ~ a {
    text-decoration: none;
}

/* 
    Registration Form
*/

form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 230px;
    width: 25vw;
    position: relative;
    left: 37.25%;
}

button {
    background-color: #cf0053;
    color: white;
    border: 0;
    border-radius: 15px;
}